<?php include_once 'header.php';?>

<?php if (JAK_HOLIDAY_MODE != 0) { ?>
<div class="alert alert-danger"><i class="fa fa-exclamation-triangle"></i> <?php echo $jkl["g303"];?> (<?php echo (JAK_HOLIDAY_MODE == 1 ? $jkl["g1"] : $jkl["g305"]);?>)</div>
<?php } if (isset($gcarray) && !empty($gcarray)) { ?>
<div class="row">
  <div class="col-md-12">
  <div class="box box-success">
    <div class="box-header">
      <h3 class="box-title"><i class="fa fa-comments"></i> <?php echo $jkl["m29"];?></h3>
      </div><!-- /.box-header -->
      <div class="box-body">
        <?php foreach ($gcarray as $c) { ?>
          <a class="btn btn-primary btn-sm" href="<?php echo str_replace("operator/", "", JAK_rewrite::jakParseurl('groupchat', $c["id"], $c["lang"]));?>" target="_blank"><i class="fa fa-comments"></i> <?php echo $c["title"];?></a>&nbsp;
        <?php } ?>
      </div>
  </div>
  </div>
</div>
<?php } ?>

<?php if ($stataccess) { ?>

<h3><?php echo $jkl["hd174"];?> <a href="<?php echo JAK_rewrite::jakParseurl('statistics');?>"><i class="fa fa-pie-chart"></i></a></h3>

<!-- Small boxes (Stat box) -->
<div class="row">
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-aqua">
      <div class="inner">
        <h3><?php echo $sessCtotal;?></h3>
        <p><?php echo $jkl["stat_s25"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-bar-chart"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('leads');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-green">
      <div class="inner">
        <h3><?php echo $commCtotal;?></h3>
        <p><?php echo $jkl["stat_s26"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-comments-o"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('leads');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-yellow">
      <div class="inner">
        <h3><?php echo $statsCtotal;?></h3>
        <p><?php echo $jkl["stat_s10"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-pie-chart"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('users');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-red">
      <div class="inner">
        <h3><?php echo $visitCtotal;?></h3>
        <p><?php echo $jkl["stat_s27"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-users"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('uonline');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
</div><!-- /.row -->
<?php } if ($statsupport) { ?>

<h3><?php echo $jkl["hd175"];?> <a href="<?php echo JAK_rewrite::jakParseurl('support');?>"><i class="fa fa-ticket"></i></a></h3>
<!-- Small boxes (Stat box) -->
<div class="row">
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-purple">
      <div class="inner">
        <h3><?php echo $totalAll;?></h3>
        <p><?php echo $jkl["hd135"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-ticket"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-aqua">
      <div class="inner">
        <h3><?php echo $totalAllOT;?></h3>
        <p><?php echo $jkl["hd136"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-envelope-open-o"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-yellow">
      <div class="inner">
        <h3><?php echo $totalAllWT;?></h3>
        <p><?php echo $jkl["hd137"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-envelope-open"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-green">
      <div class="inner">
        <h3><?php echo $totalAllCT;?></h3>
        <p><?php echo $jkl["hd138"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-envelope-o"></i>
      </div>
      <a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="small-box-footer"><?php echo $jkl["stat_s28"];?> <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
</div><!-- /.row -->
<?php } ?>

<?php if (isset($approve_comments) && !empty($approve_comments)) { ?>
<div class="box">
  <div class="box-header">
    <h3 class="box-title"><i class="fa fa-comments-o"></i> <?php echo $jkl['hd233'];?></h3>
    <div class="box-body">
      <table class="table table-striped table-responsive">
        <thead>
          <th><?php echo $jkl['g16'];?></th>
          <th><?php echo $jkl['g146'];?></th>
          <th><?php echo $jkl['hd234'];?></th>
          <th><?php echo $jkl['g48'];?></th>
        </thead>
        <?php foreach ($approve_comments as $c) { ?>
          <tr>
            <td><a href="<?php echo str_replace("operator/", "", JAK_rewrite::jakParseurl(JAK_BLOG_URL, 'a', $c["blogid"], JAK_rewrite::jakCleanurl($c["title"])));?>"><?php echo $c["title"];?></a></td>
            <td><?php echo $c["message"];?></td>
            <td><a class="btn btn-sm btn-success" href="<?php echo JAK_rewrite::jakParseurl('blog', 'comment', 'status', $c["id"]);?>"><i class="fa fa-check"></i></a></td>
            <td><a class="btn btn-sm btn-danger" href="<?php echo JAK_rewrite::jakParseurl('blog', 'comment', 'delete', $c["id"]);?>"><i class="fa fa-trash"></i></a></td>
          </tr>
        <?php } ?>
      </table>
    </div>

  </div>
</div>

<?php } ?>

<div class="box box-primary">
  <div class="box-header">
    <h3 class="box-title"><i class="fa fa-calendar"></i> <?php echo $jkl['hd237'];?></h3>
    <div class="box-body">
      <p><span class="badge badge-primary" style="background-color:#d649d8"><?php echo $jkl['m31'];?></span> <span class="badge badge-primary" style="background-color:#49abd8"><?php echo $jkl['m1'];?></span> <span class="badge badge-dark" style="background-color:#d88c49"><?php echo $jkl['m22'];?></span> <span class="badge badge-dark" style="background-color:#71d849"><?php echo $jkl['hd57'];?></span></p>
      <div id="calendar"></div>
    </div>
  </div>
</div>

<div class="box">
    <div class="box-header">
      <h3 class="box-title"><i class="fa fa-download"></i> Downloads and Support</h3>
      <div class="box-body">
<p>Often on the road, download our native apps for Android and iOS to easily serve your clients outside your office. Push notifications included, just setup your business hours in <a href="<?php echo JAK_rewrite::jakParseurl('users','edit',JAK_USERID);?>">your operator profile</a>. Your Live Chat URL: <strong><?php echo rtrim(BASE_URL_ORIG,"/");?></strong></p>
  <p>Get your native push notifications token and user key from our <a href="https://www.jakweb.ch/push">Push Server</a>. Use the same login details from when you have purchased a license with us.</p>
</div>
  </div>
</div>
<!-- Small boxes (Stat box) -->
<div class="row">
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-aqua">
        <img src="img/dashboard-002.jpg" class="img-fluid">
      <a href="https://play.google.com/store/apps/details?id=ch.jakweb.livechat" class="small-box-footer">Get Android App <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-green">
      <img src="img/dashboard-001.jpg" class="img-fluid">
      <a href="https://itunes.apple.com/us/app/live-chat-3-lcps/id1229573974" class="small-box-footer">Get iOS App <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-yellow">
      <img src="img/dashboard-003.jpg" class="img-fluid">
      <a href="https://www.jakweb.ch/downloads" class="small-box-footer">Live Chat Plugins <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
  <div class="col-lg-3 col-6">
    <!-- small box -->
    <div class="small-box bg-red">
      <img src="img/dashboard-004.jpg" class="img-fluid">
      <a href="https://www.jakweb.ch/faq" class="small-box-footer">FAQ <i class="fa fa-arrow-circle-right"></i></a>
    </div>
  </div><!-- ./col -->
</div><!-- /.row -->

<!-- Only for super admin access -->
<?php if (JAK_SUPERADMINACCESS && $jakhs['hostactive']) { ?>

<!-- For hosted solutions to inform customer -->

<h2>Welcome <?php echo $jakuser->getVar("username");?></h2>
<p>Thank you for using our Live Chat solution.</p>
<div class="alert alert-info" id="membermsg">Your membership is valid until: <span id="memberdate"><?php echo JAK_base::jakTimesince(JAK_VALIDTILL, JAK_DATEFORMAT, JAK_TIMEFORMAT);?></span></div>
<h3>Available resources</h3>
<ul>
	<li>You use <?php echo $totalop;?> operators from <?php echo $jakhs['operators'];?></li>
	<li>You use <?php echo $totaldep;?> departments from <?php echo $jakhs['departments'];?></li>
	<li>You use <?php echo $totalwidg;?> chat widgets from <?php echo $jakhs['chatwidgets'];?></li>
</ul>

<?php if (JAK_VALIDTILL != 0 && (JAK_VALIDTILL < time())) { ?>

<div class="alert alert-danger" id="expiredmsg">Your membership has expired, the chat widget will not appear on your website. Please renew your membership with one of the options below.</div>

<?php } ?>

<?php if (JAK_VALIDTILL != 0 && JAK_VALIDTILL < strtotime("+30 day")) { ?>
	<!-- Extend membership -->
	<h2>Extend your access to your custom Live Chat access</h2>
	<div class="row">
		<div class="col-4">
			<select name="month" id="month" class="form-control">
				<?php if (isset($sett["mo3month"]) && !empty($sett["mo3month"])) { ?>
				<option value="<?php echo $sett["mo3month"];?>">3 Months (<?php echo $sett["mo3month"].' '.$sett["currency"];?>)</option>
				<?php } if (isset($sett["mo6month"]) && !empty($sett["mo6month"])) { ?>
				<option value="<?php echo $sett["mo6month"];?>">6 Months (<?php echo $sett["mo6month"].' '.$sett["currency"];?>)</option>
				<?php } if (isset($sett["mo12month"]) && !empty($sett["mo12month"])) { ?>
				<option value="<?php echo $sett["mo12month"];?>">12 Months (<?php echo $sett["mo12month"].' '.$sett["currency"];?>)</option>
				<?php } ?>
			</select>
		</div>
		<div class="col-4">
			<?php if (JAK_PAYPAL_EMAIL) { ?><p><a href="javascript:void(0)" class="btn btn-info btn-block btn-pay" id="paypal"><i class="jak-loadbtn"></i> <i class="fa fa-paypal"></i> <?php echo $jkl['g294'];?></a></p><?php } ?>
		</div>
		<div class="col-4">
			<?php if (JAK_STRIPE_PUBLIC) { ?><p><a href="javascript:void(0)" class="btn btn-info btn-block btn-pay" id="stripe"><i class="jak-loadbtn"></i> <i class="fa fa-cc-stripe"></i> <?php echo $jkl['g293'];?></a></p><?php } ?>
		</div>
	</div>
	<input type="hidden" name="stripeToken" id="stripeToken">
	<input type="hidden" name="stripeEmail" id="stripeEmail">
	<div id="paypal_form" class="hidden"></div>
<?php } } ?>

<?php include_once 'footer.php';?>