<?php include_once 'header.php';?>

<!-- Small boxes (Stat box) -->
<div class="row">
	<div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-aqua">
      <div class="inner">
        <p class="text-center pb-0 mb-0"><img src="<?php echo BASE_URL_ORIG.JAK_FILES_DIRECTORY.$JAK_FORM_DATA["picture"];?>" class="img-thumbnail img-fluid" width="90" alt="avatar"></p>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $JAK_FORM_DATA["name"];?></a>
    </div>
  </div><!-- ./col -->
<?php if (JAK_BILLING_MODE == 1) { ?>
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-green">
      <div class="inner">
        <h3><?php echo $JAK_FORM_DATA["credits"]?></h3>
        <p><?php echo $jkl["hd74"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-circle-o"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd74"];?></a>
    </div>
  </div><!-- ./col -->
<?php } else { ?>
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-purple">
      <div class="inner">
        <h3><?php echo $JAK_FORM_DATA["credits"]?></h3>
        <p><?php echo $jkl["hd75"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-calendar"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd75"];?></a>
    </div>
  </div><!-- ./col -->
<?php } ?>
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-orange">
      <div class="inner">
        <h3><?php echo $JAK_FORM_DATA["chatrequests"]?></h3>
        <p><?php echo $jkl["hd140"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-comments-o"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd140"];?></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-red">
      <div class="inner">
        <h3><?php echo $JAK_FORM_DATA["supportrequests"]?></h3>
        <p><?php echo $jkl["hd141"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-ticket"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd141"];?></a>
    </div>
  </div><!-- ./col -->
</div><!-- /.row -->

<?php if ($errors) { ?>
<div class="alert alert-danger"><?php if (isset($errors["e"])) echo $errors["e"];
	  if (isset($errors["e1"])) echo $errors["e1"];
	  if (isset($errors["e2"])) echo $errors["e2"];
	  if (isset($errors["e3"])) echo $errors["e3"];
	  if (isset($errors["e4"])) echo $errors["e4"];
	  if (isset($errors["e5"])) echo $errors["e5"];
	  if (isset($errors["e6"])) echo $errors["e6"];?></div>
<?php } ?>
<form class="jak_form" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
<div class="row">
	<div class="col-md-6">

	<div class="box">
		<div class="box-header with-border">
		  <h3 class="box-title"><?php echo $jkl["g40"];?></h3>
		</div><!-- /.box-header -->
		<div class="box-body">
		<div class="table-responsive">
		<table class="table table-striped">
		<tr>
			<td>
			<div class="form-group">
				<label for="name"><?php echo $jkl["u"];?></label>
				<input type="text" name="jak_name" id="name" class="form-control<?php if (isset($errors["e1"])) echo " is-invalid";?>" value="<?php echo $JAK_FORM_DATA["name"];?>">
			</div>
			</td>
		</tr>
		<tr>
			<td>
			<div class="form-group">
				<label for="email"><?php echo $jkl["u1"];?></label>
				<input type="text" name="jak_email" id="email" class="form-control<?php if (isset($errors["e2"])) echo " is-invalid";?>" value="<?php echo $JAK_FORM_DATA["email"];?>">
			</div>
			</td>
		</tr>
		<tr>
			<td>
			<div class="form-group">
				<label for="jak_lang"><?php echo $jkl["g22"];?></label>
				<select name="jak_lang" class="form-control">
				<option value=""><?php echo $jkl["u11"];?></option>
				<?php if (isset($lang_files) && is_array($lang_files)) foreach($lang_files as $lf) { ?><option value="<?php echo $lf;?>"<?php if ($JAK_FORM_DATA["language"] == $lf) echo ' selected';?>><?php echo ucwords($lf);?></option><?php } ?>
				</select>
			</div>
			</td>
		</tr>
		<tr>
			<td>
			<div class="form-group">
				<label for="jak_upload"><?php echo $jkl["hd139"];?></label>
				<div class="radio"><label><input type="radio" name="jak_upload" value="1"<?php if ($JAK_FORM_DATA["canupload"] == 1) echo ' checked';?>> <?php echo $jkl["g19"];?></label></div>
				<div class="radio"><label><input type="radio" name="jak_upload" value="0"<?php if ($JAK_FORM_DATA["canupload"] == 0) echo ' checked';?>> <?php echo $jkl["g18"];?></label></div>
			</div>
			</td>
		</tr>
		</table>
		</div>
		</div>
		<div class="box-footer">
			<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
			<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
		</div>
	</div>

	<div class="box">
		<div class="box-header with-border">
		  <h3 class="box-title"><?php echo $jkl["hd148"];?></h3>
		</div><!-- /.box-header -->
		<div class="box-body">
			<table class="table table-striped table-responsive">
			<?php echo $custom_fields;?>
			</table>
		</div>
		<div class="box-footer">
			<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
			<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
		</div>
	</div>

	<div class="box">
		<div class="box-header with-border">
		  <h3 class="box-title"><?php echo $jkl["hd235"];?></h3>
		</div><!-- /.box-header -->
		<div class="box-body">
			<div class="form-group">
				<label for="jak_upload"><?php echo $jkl["hd235"];?></label>
				<div class="input-group">
				  <input type="number" name="custom_price" class="form-control" value="<?php echo $JAK_FORM_DATA["custom_price"];?>">
				  <span class="input-group-addon">%</span>
				</div>
			</div>
		</div>
		<div class="box-footer">
			<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
			<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
		</div>
	</div>
	
	</div>
	<div class="col-md-6">
		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd2"];?> <a href="javascript:void(0)" class="jakweb-help" data-content="<?php echo $jkl["h6"];?>" data-original-title="<?php echo $jkl["t"];?>"><i class="fa fa-question-circle"></i></a></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
			<div class="table-responsive">
			<table class="table table-striped">
			<tr>
				<td>
					<select name="jak_depid[]" multiple="multiple" class="form-control">
						<option value="0"<?php if ($JAK_FORM_DATA["chat_dep"] == 0) echo ' selected';?>><?php echo $jkl["g105"];?></option>
				
						<?php if (isset($JAK_DEPARTMENTS) && is_array($JAK_DEPARTMENTS)) foreach($JAK_DEPARTMENTS as $v) { ?>
						
						<option value="<?php echo $v["id"];?>"<?php if (in_array($v["id"], explode(',', $JAK_FORM_DATA["chat_dep"]))) echo ' selected';?>><?php echo $v["title"];?></option>
						
						<?php } ?>
					</select>
				</td>
			</tr>
			</table>
			</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>

		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd3"];?> <a href="javascript:void(0)" class="jakweb-help" data-content="<?php echo $jkl["h6"];?>" data-original-title="<?php echo $jkl["t"];?>"><i class="fa fa-question-circle"></i></a></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
			<div class="table-responsive">
			<table class="table table-striped">
			<tr>
				<td>
					<select name="jak_depids[]" multiple="multiple" class="form-control">
						<option value="0"<?php if ($JAK_FORM_DATA["support_dep"] == 0) echo ' selected';?>><?php echo $jkl["g105"];?></option>
				
						<?php if (isset($JAK_DEP_SUPPORT) && is_array($JAK_DEP_SUPPORT)) foreach($JAK_DEP_SUPPORT as $d) { ?>
						
						<option value="<?php echo $d["id"];?>"<?php if (in_array($d["id"], explode(',', $JAK_FORM_DATA["support_dep"]))) echo ' selected';?>><?php echo $d["title"];?></option>
						
						<?php } ?>
					</select>
				</td>
			</tr>
			</table>
			</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>

			<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd4"];?> <a href="javascript:void(0)" class="jakweb-help" data-content="<?php echo $jkl["h6"];?>" data-original-title="<?php echo $jkl["t"];?>"><i class="fa fa-question-circle"></i></a></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
			<div class="table-responsive">
			<table class="table table-striped">
			<tr>
				<td>
					<select name="jak_depidf[]" multiple="multiple" class="form-control">
						<option value="0"<?php if ($JAK_FORM_DATA["faq_cat"] == 0) echo ' selected';?>><?php echo $jkl["g105"];?></option>
				
						<?php if (isset($JAK_CAT_FAQ) && is_array($JAK_CAT_FAQ)) foreach($JAK_CAT_FAQ as $f) { ?>
						
						<option value="<?php echo $f["id"];?>"<?php if (in_array($f["id"], explode(',', $JAK_FORM_DATA["faq_cat"]))) echo ' selected';?>><?php echo $f["title"];?></option>
						
						<?php } ?>
					</select>
				</td>
			</tr>
			</table>
			</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>

		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd142"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
			<div class="table-responsive">
			<table class="table table-striped">
			<?php if (JAK_BILLING_MODE == 1) { ?>
			<tr>
				<td><?php echo $jkl["hd74"];?></td>
				<td>
				<div class="form-group">
					<input type="number" min="0" name="jak_credits" id="credits" class="form-control" value="<?php echo $JAK_FORM_DATA["credits"];?>">
				</div>
				</td>
			</tr>
			<input type="hidden" name="jak_validtill" value="1980-05-06">
			<?php } else { ?>
			<tr>
				<td><?php echo $jkl["hd143"];?></td>
				<td>
				<div class="form-group">
					<input type="text" name="jak_validtill" class="form-control" value="<?php echo $JAK_FORM_DATA["paid_until"];?>">
					<small class="form-text text-muted">
					  <?php echo $jkl['hd144'];?>
					</small>
				</div>
				</td>
			</tr>
			<input type="hidden" name="jak_credits" value="0">
			<?php } ?>
			</table>
			</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
			
		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["g39"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
			<div class="table-responsive">
			<table class="table table-striped">
			<tr>
				<td><?php echo $jkl["u4"];?></td>
				<td>
				<div class="form-group">
					<input type="text" name="jak_password" id="pass" class="form-control<?php if (isset($errors["e5"]) || isset($errors["e6"])) echo " is-invalid";?>" value="">
				</div>
				</td>
			</tr>
			<tr>
				<td><?php echo $jkl["u5"];?></td>
				<td>
				<div class="form-group">
					<input type="text" name="jak_confirm_password" class="form-control<?php if (isset($errors["e5"]) || isset($errors["e6"])) echo " is-invalid";?>" value="">
				</div>
				</td>
			</tr>
			<tr>
			<td colspan="2">
				<div class="progress">
					<div id="jak_pstrength" class="progress-bar progress-bar-striped progress-bar-animated" style="width:0" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
				</div>
			</td>
			</tr>
			</table>
			</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
			
	</div>
</div>
</form>
		
<?php include_once 'footer.php';?>