<?php include_once 'header.php';?>

<?php if ($errors) { ?>
<div class="alert alert-danger">
<?php if (isset($errors["e"])) echo $errors["e"];
	  if (isset($errors["e1"])) echo $errors["e1"];?>
</div>
<?php } if (isset($CLIENTS_ALL) && !empty($CLIENTS_ALL)) { ?>

<div class="row">
	<div class="col-md-8">

		<form method="post" action="<?php echo $_SERVER['REQUEST_URI'];?>">
		<?php if (!isset($_SESSION["userinfo"])) { ?>
		<div class="box box-danger">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd194"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<table class="table table-striped table-responsive w-100 d-block d-md-table">
					<tr>
						<td>
							<div class="form-group">
								<select name="jak_clients" data-placeholder="<?php echo $jkl["hd194"];?>" id="jak_clients" class="form-control selectpicker">
									<option value="0"></option>
									<?php foreach ($CLIENTS_ALL as $v) {
										echo '<option value="'.$v["id"].':#:'.$v["support_dep"].'">'.$v["name"].' ('.$v["email"].')</option>';
									} ?>
								</select>
							</div>
						</td>
					</tr>
				</table>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
		<?php } if (isset($_SESSION["userinfo"]) && !isset($_SESSION["depinfo"])) { ?>
			<div class="box box-danger">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd195"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<table class="table table-striped table-responsive w-100 d-block d-md-table">
					<tr>
						<td>
							<div class="form-group">
								<select name="jak_depid" data-placeholder="<?php echo $jkl["hd195"];?>" id="jak_depid" class="form-control selectpicker">
									<option value="0"></option>
									<?php foreach ($DEPARTMENTS_ALL as $d) {
										echo '<option value="'.$d["id"].'">'.$d["title"].'</option>';
									} ?>
								</select>
							</div>
						</td>
					</tr>
				</table>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
		<?php } if (isset($_SESSION["userinfo"]) && isset($_SESSION["depinfo"])) { ?>

		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd177"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">

			<table class="table table-striped table-responsive w-100 d-block d-md-table">
			<tr>
				<td>
				<div class="form-group">
					<label for="subject"><?php echo $jkl["g16"];?></label>
					<input type="text" name="subject" id="subject" class="form-control<?php if (isset($errors["e"])) echo " is-invalid";?>" value="<?php if (isset($_REQUEST["subject"]) && !empty($_REQUEST["subject"])) echo $_REQUEST["subject"];?>">
				</div>
				</td>
			</tr>
			<?php if (isset($JAK_RESPONSE_DATA) && !empty($JAK_RESPONSE_DATA)) { ?>
			<tr>
				<td>
					<div class="form-group">
						<label class="control-label" for="supresp"><?php echo $jkl["u35"];?></label>
					 	<select id="supresp" class="form-control">
					 	<?php echo $JAK_RESPONSE_DATA;?>
					 	</select>
					 </div>
				</td>
			</tr>
			<?php } ?>
			<tr>
				<td>
				<div class="form-group">
					<label for="content-editor"><?php echo $jkl["g321"];?></label>
					<textarea name="content" id="content-editor" rows="5" class="form-control"><?php if (isset($_REQUEST["content"]) && !empty($_REQUEST["content"])) echo $_REQUEST["content"];?></textarea>
				</div>
				<div class="form-check form-check-inline">
					<label class="form-check-label">
						<input class="form-check-input" type="checkbox" name="inform-client" value="1"> <?php echo $jkl["hd198"];?>
					</label>
				</div>
				</td>
			</tr>
			</table>

			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
		<?php } ?>
	</div>
	<div class="col-md-4">
		<div class="box">
			<div class="box-body">
				<button type="submit" name="start-fresh" value="1" class="btn btn-danger btn-block"><?php echo $jkl["hd196"];?></button>
			</div>
		</div>
		<?php if (isset($_SESSION["userinfo"]) && isset($_SESSION["depinfo"])) { ?>
		<div class="box box-info">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd180"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<dl class="row">

					<dt class="col-sm-3"><?php echo $jkl['g130'];?></dt>
				  	<dd class="col-sm-9">
				  		<select name="jak_operator" id="jak_operator" class="form-control selectpicker">
							<?php foreach ($OPERATOR_ALL as $o) {
								echo '<option value="'.$o["id"].'"'.($o["id"] == JAK_USERID ? ' selected' : '').'>'.$o["name"].' ('.$o["email"].')</option>';
							} ?>
						</select>
				  	</dd>

					<dt class="col-sm-3"><?php echo $jkl['hd167'];?></dt>
				  	<dd class="col-sm-9">
				  		<select name="jak_status" id="jak_status" class="form-control form-control-sm">
							<option value="1" selected><?php echo $jkl["hd169"];?></option>
							<option value="2"><?php echo $jkl["hd170"];?></option>
							<option value="3"><?php echo $jkl["hd171"];?></option>
						</select>
				  	</dd>

					<?php if (isset($PRIORITY_ALL) && !empty($PRIORITY_ALL)) { ?>
					<dt class="col-sm-3"><?php echo $jkl['hd149'];?></dt>
				  	<dd class="col-sm-9">
				  		<select name="jak_priority" id="jak_priority" class="form-control form-control-sm">
							<?php foreach ($PRIORITY_ALL as $p) {
								echo '<option value="'.$p["id"].'">'.$p["title"].((JAK_BILLING_MODE == 1 && $p["credits"] != 0) ? ' ('.sprintf($jkl['hd232'], $p["credits"]).')' : '').'</option>';
							} ?>
						</select>
				  	</dd>
				  	<?php } ?>

				  	<?php if (isset($TOPTIONS_ALL) && !empty($TOPTIONS_ALL)) { ?>
					<dt class="col-sm-3"><?php echo $jkl['hd225'];?></dt>
				  	<dd class="col-sm-9">
				  		<select name="jak_toption" id="jak_toption" class="form-control form-control-sm">
							<?php foreach ($TOPTIONS_ALL as $t) {
								echo '<option value="'.$t["id"].'">'.$t["title"].((JAK_BILLING_MODE == 1 && $t["credits"] != 0) ? ' ('.sprintf($jkl['hd232'], $t["credits"]).')' : '').'</option>';
							} ?>
						</select>
				  	</dd>
				  	<?php } ?>

				  	<dt class="col-sm-3"><?php echo $jkl['hd77'];?></dt>
				  	<dd class="col-sm-9"><a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients', $JAK_CLIENT_DATA["id"]);?>"><?php echo $JAK_CLIENT_DATA["name"];?></a></dd>

				  	<dt class="col-sm-3"><?php echo $jkl['u1'];?></dt>
				  	<dd class="col-sm-9"><a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients', $JAK_CLIENT_DATA["id"]);?>"><?php echo $JAK_CLIENT_DATA["email"];?></a></dd>

				  	<dt class="col-sm-3"><?php echo $jkl['hd172'];?></dt>
				  	<dd class="col-sm-9">
				  		<div class="form-check form-check-inline">
						  <label class="form-check-label">
						    <input class="form-check-input" type="radio" name="jak_private" value="1"<?php if (isset($_REQUEST["jak_private"]) && $_REQUEST["jak_private"] == 1 || !isset($_REQUEST["jak_private"])) echo ' checked';?>> <?php echo $jkl['g19'];?>
						  </label>
						</div>
						<div class="form-check form-check-inline">
						  <label class="form-check-label">
						    <input class="form-check-input" type="radio" name="jak_private" value="0"<?php if (isset($_REQUEST["jak_private"]) && $_REQUEST["jak_private"] == 0) echo ' checked';?>> <?php echo $jkl['g18'];?>
						  </label>
						</div>
				  	</dd>

				  	<dt class="col-sm-3"><?php echo $jkl['g169'];?></dt>
				  	<dd class="col-sm-9"><input type="text" class="form-control form-control-sm" name="jak_referrer" value"<?php if (isset($_REQUEST["jak_referrer"]) && !empty($_REQUEST["jak_referrer"])) echo $_REQUEST["jak_referrer"];?></dd>

				</dl>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>

		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd148"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<table class="table table-striped table-responsive w-100 d-block d-md-table">
				<?php echo $custom_fields;?>
				</table>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
		<div class="box box-info">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["g181"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<table class="table table-striped table-responsive w-100 d-block d-md-table">
					<tr>
						<td>
							<textarea name="jak_notes" rows="5" class="form-control"><?php if (isset($_REQUEST["jak_notes"]) && !empty($_REQUEST["jak_notes"])) echo $_REQUEST["jak_notes"];?></textarea>
						</td>
					</tr>
				</table>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
		<?php } ?>
		<input type="hidden" name="clientid" value="<?php echo $_SESSION["userinfo"];?>">
		<input type="hidden" name="depid" value="<?php echo $_SESSION["depinfo"];?>">
		</form>
	</div>
</div>

<?php } else { ?>
<div class="alert alert-info">
	<?php echo $jkl['i3'];?>
	<a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients', 'new');?>" class="alert-link"><?php echo $jkl['hd112'];?></a>
</div>
<?php } ?>

<?php include_once 'footer.php';?>