<?php include_once 'header.php';?>

<?php if ($errors) { ?>
<div class="alert alert-danger">
<?php if (isset($errors["e"])) echo $errors["e"];
	  if (isset($errors["e1"])) echo $errors["e1"];?>
</div>
<?php } ?>

<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">

<div class="row">
	<div class="col-md-8">
		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd176"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body ticket-box">
				<div class="card bg-light mb-3" style="max-width: 100%;">
				  <div class="card-header"><?php echo sprintf($jkl["hd178"], JAK_base::jakTimesince($JAK_FORM_DATA["initiated"], JAK_DATEFORMAT, JAK_TIMEFORMAT));?> <a href="<?php echo JAK_rewrite::jakParseurl('support', 'read', $page2, 'edit');?>" class="text-dark pull-right"><i class="fa fa-edit"></i></a></div>
				  <div class="card-body">
				    <h4 class="card-title"><?php echo $JAK_FORM_DATA["subject"];?></h4>
				    <div class="card-text"><?php echo $JAK_FORM_DATA["content"];?></div>
				  </div>
				</div>
				<?php if (isset($JAK_ANSWER_DATA) && !empty($JAK_ANSWER_DATA)) foreach ($JAK_ANSWER_DATA as $a) { ?>
					<div class="card text-white bg-secondary mb-3" style="max-width: 100%;">
					  <div class="card-header"><?php echo sprintf($jkl["hd189"], $a["id"]).' '.sprintf($jkl["hd179"], JAK_base::jakTimesince($a["sent"], JAK_DATEFORMAT, JAK_TIMEFORMAT));?> <div class="pull-right"><?php echo sprintf($jkl['hd188'], ($a["cname"] ? '<a href="'.JAK_rewrite::jakParseurl('users', 'clients', 'edit', $a["cid"]).'" class="text-light">'.$a["cname"].'</a>' : $a["oname"]));?> <a href="<?php echo JAK_rewrite::jakParseurl('support', 'read', $page2, $a["id"]);?>" class="text-light"><i class="fa fa-edit"></i></a></div></div>
					  <div class="card-body">
					    <div class="card-text"><?php echo $a["content"];?></div>
					  </div>
					</div>
				<?php } ?>
			</div>
		</div>
		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd177"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">

			<?php if (isset($JAK_EDIT_ANSWER) && !empty($JAK_EDIT_ANSWER)) { ?>
				<div class="alert alert-info"><?php echo sprintf($jkl["hd190"], $page3);?></div>
			<?php } ?>

			<?php if (isset($JAK_EDIT_CONTENT) && !empty($JAK_EDIT_CONTENT)) { ?>
				<div class="alert alert-info"><?php echo $jkl["g47"];?></div>
			<?php } ?>

			<?php if (isset($JAK_RESPONSE_DATA) && !empty($JAK_RESPONSE_DATA)) { ?>
			<div class="form-group">
				<label class="control-label" for="supresp"><?php echo $jkl["u35"];?></label>
			 	<select id="supresp" class="form-control">
			 	<?php echo $JAK_RESPONSE_DATA;?>
			 	</select>
			 </div>
			<?php } ?>
			<?php if (isset($JAK_EDIT_CONTENT) && !empty($JAK_EDIT_CONTENT)) { ?>
			<div class="form-group">
				<label for="subject"><?php echo $jkl["g16"];?></label>
				<input type="text" name="subject" id="subject" class="form-control" value="<?php echo $JAK_EDIT_CONTENT["subject"];?>">
			</div>
			<?php } ?>
			<div class="form-group">
				<label for="content-editor"><?php echo $jkl["g321"];?></label>
				<textarea name="content" id="content-editor" rows="5" class="form-control"><?php if (isset($_REQUEST["content"]) && !empty($_REQUEST["content"])) { echo $_REQUEST["content"]; } elseif (isset($JAK_EDIT_ANSWER) && !empty($JAK_EDIT_ANSWER)) { echo $JAK_EDIT_ANSWER;} elseif (isset($JAK_EDIT_CONTENT) && !empty($JAK_EDIT_CONTENT)) { echo $JAK_EDIT_CONTENT["content"];}?></textarea>
			</div>
			
			<div id="share-attachments" class="dropzone upload-ticket"></div>

			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
				<input type="hidden" name="edit-content" value="<?php echo $editcont;?>">
				<input type="hidden" name="edit-answer" value="<?php echo $editid;?>">
			</div>
		</div>
	</div>
	<div class="col-md-4">
		<div class="box box-info">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd180"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<dl class="row">

					<dt class="col-sm-5"><?php echo $jkl['hd191'];?></dt>
				  	<dd class="col-sm-7">#<?php echo $page2;?></dd>

				  	<?php if (isset($DEPARTMENTS_ALL) && !empty($DEPARTMENTS_ALL)) { ?>
					<dt class="col-sm-5"><?php echo $jkl['g131'];?></dt>
				  	<dd class="col-sm-7">
				  		<select name="jak_depid" id="jak_depid" class="form-control form-control-sm">
							<?php foreach ($DEPARTMENTS_ALL as $d) {
								echo '<option value="'.$d["id"].'"'.($JAK_FORM_DATA["depid"] == $d["id"] ? ' selected' : '').'>'.$d["title"].'</option>';
							} ?>
						</select>
						<input type="hidden" name="olddep" value="<?php echo $JAK_FORM_DATA["depid"];?>">
				  	</dd>
				  	<?php } ?>

				  	<?php if (isset($PRIORITY_ALL) && !empty($PRIORITY_ALL)) { ?>
					<dt class="col-sm-5"><?php echo $jkl['hd149'];?></dt>
				  	<dd class="col-sm-7">
				  		<select name="jak_priority" id="jak_priority" class="form-control form-control-sm">
				  			<option valude="0"<?php if ($JAK_FORM_DATA["priorityid"] == 0) echo 'selected';?>><?php echo $jkl['bw4'];?></option>
							<?php foreach ($PRIORITY_ALL as $p) {
								echo '<option value="'.$p["id"].'"'.($JAK_FORM_DATA["priorityid"] == $p["id"] ? ' selected' : '').'>'.$p["title"].((JAK_BILLING_MODE == 1 && $p["credits"] != 0) ? ' ('.sprintf($jkl['hd232'], $p["credits"]).')' : '').'</option>';
							} ?>
						</select>
						<input type="hidden" name="oldpriority" value="<?php echo $JAK_FORM_DATA["priorityid"];?>">
				  	</dd>
				  	<?php } ?>

				  	<?php if (isset($TOPTIONS_ALL) && !empty($TOPTIONS_ALL)) { ?>
					<dt class="col-sm-5"><?php echo $jkl['hd225'];?></dt>
				  	<dd class="col-sm-7">
				  		<select name="jak_toption" id="jak_toption" class="form-control form-control-sm">
				  			<option valude="0"<?php if ($JAK_FORM_DATA["toptionid"] == 0) echo ' selected';?>><?php echo $jkl['bw4'];?></option>
							<?php foreach ($TOPTIONS_ALL as $t) {
								echo '<option value="'.$t["id"].'"'.($JAK_FORM_DATA["toptionid"] == $t["id"] ? ' selected' : '').'>'.$t["title"].((JAK_BILLING_MODE == 1 && $t["credits"] != 0) ? ' ('.sprintf($jkl['hd232'], $t["credits"]).')' : '').'</option>';
							} ?>
						</select>
						<input type="hidden" name="oldtoption" value="<?php echo $JAK_FORM_DATA["toptionid"];?>">
				  	</dd>
				  	<?php } ?>

				  	<dt class="col-sm-5"><?php echo $jkl['hd77'];?></dt>
				  	<dd class="col-sm-7"><a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients', 'edit', $JAK_FORM_DATA["clientid"]);?>"><?php echo $JAK_FORM_DATA["name"];?></a></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['u1'];?></dt>
				  	<dd class="col-sm-7 hyphenate"><a href="<?php echo JAK_rewrite::jakParseurl('users', 'clients', 'edit', $JAK_FORM_DATA["clientid"]);?>"><?php echo $JAK_FORM_DATA["email"];?></a></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['g264'];?></dt>
				  	<dd class="col-sm-7"><?php echo JAK_base::jakTimesince($JAK_FORM_DATA["initiated"], JAK_DATEFORMAT, JAK_TIMEFORMAT);?></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['hd181'];?></dt>
				  	<dd class="col-sm-7"><?php echo JAK_base::jakTimesince($JAK_FORM_DATA["updated"], JAK_DATEFORMAT, JAK_TIMEFORMAT);?></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['hd182'];?></dt>
				  	<dd class="col-sm-7"><?php echo ($JAK_FORM_DATA["ended"] != 0 ? JAK_base::jakTimesince($JAK_FORM_DATA["ended"], JAK_DATEFORMAT, JAK_TIMEFORMAT) : '-');?></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['hd172'];?></dt>
				  	<dd class="col-sm-7">
				  		<select name="jak_private" id="jak_private" class="form-control form-control-sm">
				  			<option value="0"<?php if ($JAK_FORM_DATA["private"] == 0) echo ' selected';?>><?php echo $jkl['g18'];?></option>
				  			<option value="1"<?php if ($JAK_FORM_DATA["private"] == 1) echo ' selected';?>><?php echo $jkl['g19'];?></option>
						</select>
					</dd>

				  	<dt class="col-sm-5"><?php echo $jkl['hd167'];?></dt>
				  	<dd class="col-sm-7"><?php echo ($JAK_FORM_DATA["status"] == 1 ? $jkl['hd169'] : ($JAK_FORM_DATA["status"] == 2 ? $jkl['hd170'] : $jkl['hd171']));?></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['hd168'];?></dt>
				  	<dd class="col-sm-7"><span id="upload-counter"><?php echo $JAK_FORM_DATA["attachments"];?></span></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['g11'];?></dt>
				  	<dd class="col-sm-7"><?php echo $JAK_FORM_DATA["ip"];?></dd>

				  	<dt class="col-sm-5"><?php echo $jkl['g169'];?></dt>
				  	<dd class="col-sm-7 hyphenate"><?php echo $JAK_FORM_DATA["referrer"];?></dd>

				</dl>
				<div class="form-check form-check-inline">
					<label class="form-check-label">
						<input class="form-check-input" type="checkbox" name="store-dep" value="1"> <?php echo $jkl["hd226"];?>
					</label>
				</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>

		<div class="box box-info">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["g181"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<textarea name="notes" rows="5" class="form-control"><?php echo $JAK_FORM_DATA["notes"];?></textarea>
				<div class="form-check form-check-inline">
					<label class="form-check-label">
						<input class="form-check-input" type="checkbox" name="store-notes" value="1"> <?php echo $jkl["hd186"];?>
					</label>
				</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>

		<div class="box box-success">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["g288"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				
				<table class="table table-striped" id="attach-list">
				<?php if (isset($JAK_TICKET_FILES) && is_array($JAK_TICKET_FILES)) foreach($JAK_TICKET_FILES as $k) { ?>
					
					<tr><td>
						<?php if (getimagesize(APP_PATH.JAK_FILES_DIRECTORY.'/support/'.$page2.'/'.$k)) { ?>
							<a data-toggle="lightbox" href="<?php echo BASE_URL_ORIG.JAK_FILES_DIRECTORY.'/support/'.$page2.'/'.$k;?>"><img src="<?php echo BASE_URL_ORIG.JAK_FILES_DIRECTORY.'/support/'.$page2.'/'.$k;?>" alt="<?php echo $k;?>" class="img-thumbnail" width="50px"></a>
						<?php } else { ?>
							<?php echo $k;?>
						<?php } ?>
							<a href="<?php echo BASE_URL_ORIG.JAK_FILES_DIRECTORY.'/support/'.$page2.'/'.$k;?>" class="btn btn-info btn-sm"><i class="fa fa-floppy-o"></i></a> <a href="<?php echo JAK_rewrite::jakParseurl('support', 'deletef', $page2, $k);?>" class="btn btn-danger btn-sm btn-confirm" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["e32"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-trash-o"></i></a>
					</td></tr>
				<?php } ?>
				</table>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
			</div>
		</div>
		<?php if (isset($custom_fields) && !empty($custom_fields)) { ?>
		<div class="box">
			<div class="box-header with-border">
			  <h3 class="box-title"><?php echo $jkl["hd148"];?></h3>
			</div><!-- /.box-header -->
			<div class="box-body">
				<table class="table table-striped">
				<?php echo $custom_fields;?>
				</table>
				<div class="form-check form-check-inline">
					<label class="form-check-label">
						<input class="form-check-input" type="checkbox" name="store-fields" value="1"> <?php echo $jkl["hd187"];?>
					</label>
				</div>
			</div>
			<div class="box-footer">
				<a href="<?php echo JAK_rewrite::jakParseurl('support');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
				<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
			</div>
		</div>
		<?php } ?>
	</div>
</div>

</form>

<?php include_once 'footer.php';?>