<?php include_once 'header.php';?>

<!-- Small boxes (Stat box) -->
<div class="row">
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-purple">
      <div class="inner">
        <h3><?php echo $totalAll;?></h3>
        <p><?php echo $jkl["hd135"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-ticket"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd135"];?></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-3">
    <!-- small box -->
    <div class="small-box bg-aqua">
      <div class="inner">
        <h3><?php echo $totalAllOT;?></h3>
        <p><?php echo $jkl["hd136"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-envelope-open-o"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd136"];?></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-2">
    <!-- small box -->
    <div class="small-box bg-yellow">
      <div class="inner">
        <h3><?php echo $totalAllWT;?></h3>
        <p><?php echo $jkl["hd137"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-envelope-open"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd137"];?></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-2">
    <!-- small box -->
    <div class="small-box bg-success">
      <div class="inner">
        <h3><?php echo $totalAllCT;?></h3>
        <p><?php echo $jkl["hd138"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-envelope-o"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["hd138"];?></a>
    </div>
  </div><!-- ./col -->
  <div class="col-md-2">
    <!-- small box -->
    <div class="small-box bg-blue">
      <div class="inner">
        <h3><?php echo ($total_voted ? $total_vote / $total_voted.'/5' : '-');?></h3>
        <p><?php echo $jkl["stat_s7"];?></p>
      </div>
      <div class="icon">
        <i class="fa fa-star"></i>
      </div>
      <a href="javascript:void(0)" class="small-box-footer"><?php echo $jkl["stat_s7"];?></a>
    </div>
  </div><!-- ./col -->
</div><!-- /.row -->

<div class="row">
  <div class="col-md-6">
    <p><a class="btn btn-primary" href="<?php echo JAK_rewrite::jakParseurl('support', 'new');?>"><?php echo $jkl["hd166"];?></a></p>
  </div>
  <div class="col-md-6">
    <?php if (isset($dep_filter) && is_array($dep_filter) && !empty($dep_filter)) { ?>
    <form id="jak_statform" method="post" action="<?php echo $_SERVER['REQUEST_URI'];?>">
      <select name="jak_depid" id="jak_depid" class="form-control">
        <option value="0"><?php echo $jkl['g105'];?></option>
        <?php foreach ($dep_filter as $v) { ?>
        <option value="<?php echo $v["id"];?>"<?php if (isset($page1) && $page1 == $v["id"]) echo ' selected';?>><?php echo $v["title"];?></option>
        <?php } ?>
      </select>
      <input type="hidden" name="action" value="depid">
    </form>
    <?php } ?>
  </div>
</div>


<?php if (isset($totalAll) && $totalAll != 0) { ?>

<form method="post" class="jak_form" action="<?php echo $_SERVER['REQUEST_URI'];?>">
<div class="box">
<div class="box-body">


<?php if (JAK_SUPERADMINACCESS) { ?>
<p class="pull-right">
<button class="btn btn-primary btn-sm btn-confirm" data-action="status1" data-title="<?php echo addslashes($jkl["hd25"]);?>" data-text="<?php echo addslashes($jkl["hd173"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><?php echo $jkl['hd169'];?></button> <button class="btn btn-warning btn-sm btn-confirm" data-action="status2" data-title="<?php echo addslashes($jkl["hd25"]);?>" data-text="<?php echo addslashes($jkl["hd173"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><?php echo $jkl['hd170'];?></button> <button class="btn btn-success btn-sm btn-confirm" data-action="status3" data-title="<?php echo addslashes($jkl["hd25"]);?>" data-text="<?php echo addslashes($jkl["hd173"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><?php echo $jkl['hd171'];?></button> <button class="btn btn-danger btn-sm btn-confirm" data-action="delete" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["e30"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-trash-o"></i></button>
</p>
<div class="clearfix"></div>
<?php } ?>

<table id="dynamic-data" class="table table-striped table-bordered" cellspacing="0" width="100%">
<thead>
<tr>
<th>#</th>
<th><input type="checkbox" id="jak_delete_all"></th>
<th><?php echo $jkl["g16"];?></th>
<th><?php echo $jkl["g131"];?></th>
<th><?php echo $jkl["hd77"];?></th>
<th><?php echo $jkl["hd172"];?></th>
<th><i class="fa fa-paperclip" title="<?php echo $jkl["hd168"];?>"></i></th>
<th><i class="fa fa-star" title="<?php echo $jkl["g85"];?>"></i></th>
<th><?php echo $jkl["hd167"];?></th>
<th><?php echo $jkl["g174"];?></th>
</tr>
</thead>
</table>

</div>
</div>
<input type="hidden" name="action" id="action">
</form>

<?php } else { ?>

<div class="alert alert-info">
<?php echo $jkl['i3'];?>
</div>

<?php } ?>
		
<?php include_once 'footer.php';?>