<?php include_once 'header.php';?>

<ul class="nav nav-tabs">
  <li class="nav-item">
    <a class="nav-link active" href="<?php echo JAK_rewrite::jakParseurl('customfield');?>"><?php echo $jkl["hd149"];?></a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('customfield', 'options');?>"><?php echo $jkl["hd224"];?></a>
  </li>
  <li class="nav-item">
    <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('customfield', 'form');?>"><?php echo $jkl["hd148"];?></a>
  </li>
</ul>

<div class="row">
<div class="col-md-4">

	<div class="box box-primary">
		<div class="box-header">
			<h3 class="box-title"><i class="fa fa-thermometer-half"></i> <?php echo $jkl["hd151"];?></h3>
	  	</div><!-- /.box-header -->
	  	<div class="box-body">
				
				<?php if ($errors) { ?>
				<div class="alert alert-danger"><?php if (isset($errors["e"])) echo $errors["e"];?></div>
				<?php } ?>
				
				<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
					
					<div class="form-group">
					    <label for="title"><?php echo $jkl["g16"];?></label>
						<input type="text" name="jak_title" class="form-control<?php if (isset($errors["e"])) echo " is-invalid";?>" value="<?php if (isset($_REQUEST["jak_title"])) echo $_REQUEST["jak_title"];?>">
					</div>

					<div class="form-group">
					    <label for="jak_class"><?php echo $jkl["m13"];?></label>
						<select name="jak_class" class="form-control">
							<option value="secondary"<?php if (isset($_REQUEST["jak_class"]) && $_REQUEST["jak_class"] == "default") { ?> selected="selected"<?php } ?>>Default</option>
							<option value="primary"<?php if (isset($_REQUEST["jak_class"]) && $_REQUEST["jak_class"] == "primary") { ?> selected="selected"<?php } ?>>Primary</option>
							<option value="success"<?php if (isset($_REQUEST["jak_class"]) && $_REQUEST["jak_class"] == "success") { ?> selected="selected"<?php } ?>>Success</option>
							<option value="info"<?php if (isset($_REQUEST["jak_class"]) && $_REQUEST["jak_class"] == "info") { ?> selected="selected"<?php } ?>>Info</option>
							<option value="warning"<?php if (isset($_REQUEST["jak_class"]) && $_REQUEST["jak_class"] == "warning") { ?> selected="selected"<?php } ?>>Warning</option>
							<option value="danger"<?php if (isset($_REQUEST["jak_class"]) && $_REQUEST["jak_class"] == "danger") { ?> selected="selected"<?php } ?>>Danger</option>
							<option value="dark"<?php if (isset($_REQUEST["jak_class"]) && $_REQUEST["jak_class"] == "dark") { ?> selected="selected"<?php } ?>>Dark</option>
						</select>
					</div>

					<div class="form-group">
					    <label class="control-label" for="faq"><?php echo $jkl["hd56"];?></label>
						<input type="number" min="0" name="credits" class="form-control" value="<?php if (isset($_REQUEST["credits"])) { echo $_REQUEST["credits"]; } else { echo "0";}?>">
					</div>
					
					<div class="form-group">
					    <label for="jak_depid"><?php echo $jkl["g131"];?></label>
					    <select name="jak_depid" id="jak_depid" class="form-control">
					    	<option value="0"<?php if (isset($_REQUEST["jak_depid"]) && $_REQUEST["jak_depid"] == 0) echo ' selected="selected"';?>><?php echo $jkl["g105"];?></option>
					    <?php if (isset($JAK_DEPARTMENTS) && is_array($JAK_DEPARTMENTS)) foreach($JAK_DEPARTMENTS as $z) { ?>
					    	<option value="<?php echo $z["id"];?>"<?php if (isset($_REQUEST["jak_depid"]) && $z["id"] == $_REQUEST["jak_depid"]) echo ' selected';?>><?php echo $z["title"];?></option>
					    <?php } ?>
					    </select>
					</div>

					<div class="form-group">
					    <label for="jak_oponly"><?php echo $jkl["hd150"];?></label>
					    <div class="radio"><label><input type="radio" name="jak_oponly" value="1"> <?php echo $jkl["g19"];?>
						</label></div>
						<div class="radio"><label>
						<input type="radio" name="jak_oponly" value="0" checked> <?php echo $jkl["g18"];?>
						</label>
						</div>
					</div>
					
					<div class="box-footer">
					<button type="submit" name="insert_priority" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
					</div>

				</form>
		</div>
		
	</div>
</div>
<div class="col-md-8">
	<div class="box box-primary">
		<div class="box-header">
			<h3 class="box-title"><i class="fa fa-thermometer-full"></i> <?php echo $jkl["hd148"];?></h3>
	  	</div><!-- /.box-header -->
	  	<div class="box-body">

	  		<?php if (isset($PRIORITY_ALL) && is_array($PRIORITY_ALL) && !empty($PRIORITY_ALL)) { ?>
			<div class="table-responsive">
			<table class="table table-striped">
			<thead>
			<tr>
			<th>#</th>
			<th><?php echo $jkl["g16"];?></th>
			<th><?php echo $jkl["m13"];?></th>
			<th><?php echo $jkl["g102"];?></th>
			<th><?php echo $jkl["g47"];?></th>
			<th><?php echo $jkl["g48"];?></th>
			</tr>
			</thead>
			<?php foreach($PRIORITY_ALL as $v) { ?>
			<tr>
			<td><?php echo $v["id"];?></td>
			<td class="title"><a href="<?php echo JAK_rewrite::jakParseurl('customfield', 'edit', $v["id"]);?>"><?php echo $v["title"];?></a></td>
			<td class="desc"><?php echo $v["class"];?></td>
			<td class="desc"><?php echo $v["dorder"];?></td>
			<td><a class="btn btn-default btn-sm" href="<?php echo JAK_rewrite::jakParseurl('customfield', 'edit', $v["id"]);?>"><i class="fa fa-pencil"></i></a></td>
			<td><a class="btn btn-danger btn-sm btn-confirm" href="<?php echo JAK_rewrite::jakParseurl('customfield', 'delete', $v["id"]);?>" data-title="<?php echo addslashes($jkl["g48"]);?>" data-text="<?php echo addslashes($jkl["e31"]);?>" data-type="warning" data-okbtn="<?php echo addslashes($jkl["g279"]);?>" data-cbtn="<?php echo addslashes($jkl["g280"]);?>"><i class="fa fa-trash-o"></i></a></td>
			</tr>
			<?php } ?>
			</table>
			</div>

			<?php } else { ?>

			<div class="alert alert-info">
				<?php echo $jkl['i3'];?>
			</div>

			<?php } ?>

		</div>
	</div>
</div>		
</div>

<?php include_once 'footer.php';?>