<?php

// Get the font for the title
$titlefont = $backgroundc = $theme = $slideimg = $fontcolor = "";
if (isset($jakwidget['t_font']) && !empty($jakwidget['t_font'])) $titlefont = 'font-family:'.$jakwidget['t_font'].';';
if (isset($jakwidget['sucolor']) && !empty($jakwidget['sucolor'])) $backgroundc = 'background:'.$jakwidget['sucolor'].';';
if (isset($jakwidget["sutcolor"]) && !empty($jakwidget["sutcolor"])) $fontcolor = 'color:'.$jakwidget["sutcolor"].';';
if (isset($jakwidget['theme_colour']) && !empty($jakwidget['theme_colour'])) $theme = " ".$jakwidget['theme_colour'];

?>

<div id="lcjframesize" class="live-chat-start-container animated">

<div class="lcj-chat-header <?php echo $jakwidget['theme_colour'];?>" style="<?php echo $titlefont.$backgroundc.$fontcolor;?>"><span class="lcj-sprite lcj-sprite-logo"></span><div class="lcj-title"><?php echo $jakwidget['title'];?></div><a href="javascript:void(0)" class="lcj-sprite lcj-sprite-popup" onclick="if(navigator.userAgent.toLowerCase().indexOf('opera') != -1 && window.event.preventDefault) window.event.preventDefault();this.newWindow = window.open('<?php echo ($online_op ? $chatstarturlpop : $chatcontacturlpop);?>', 'livechat3_popup_window', 'toolbar=0,scrollbars=1,location=0,status=1,menubar=0,width=780,height=600,resizable=1');this.newWindow.focus();this.newWindow.opener=window;lcjak_popupChat('<?php echo $chatcloseurl;?>');return false;"></a> <a href="<?php echo $chatcloseurl;?>" class="lcj-sprite lcj-sprite-close"></a>
</div>

<div class="jrc_chat_header <?php echo $jakwidget['theme_colour'];?>">
	<!-- Display Operator Name -->
	<span><?php echo $headermsg;?></span>
</div>

<div class="jrc_chat_form_slide">
<div class="profile-spacer">
		
	<?php if ($errors) { ?>
	<div class="alert alert-danger"><?php if (isset($errors["name"])) echo $errors["name"]; if (isset($errors["email"])) echo $errors["email"]; if (isset($errors["phone"])) echo $errors["phone"]; if (isset($errors["question"])) echo $errors["question"];?></div>
	<?php } ?>
		
	<form class="jak-ajaxform" method="post" action="<?php echo $_SERVER['REQUEST_URI'];?>">

		<?php if ($jakwidget['show_avatar']) { ?>
			<label class="sr-only" for="avatar"><?php echo $jkl["g18"];?></label>
			<div class="container">
			<div class="row text-center avatars py-1">
				<div class="col-2 tooltipwrap">
					<label>
						<span class="tooltip"><?php echo $jkl["g18"];?></span>
    					<input type="radio" name="avatar" value="/package/standard/avatar/standard.jpg" checked>
    					<img src="<?php echo BASE_URL;?>/package/standard/avatar/standard.jpg" class="rounded img-fluid" width="53" alt="avatar">
  					</label>
				</div>
				<div class="col-2">
					<label>
    					<input type="radio" name="avatar" value="/package/standard/avatar/4.jpg">
    					<img src="<?php echo BASE_URL;?>/package/standard/avatar/4.jpg" class="rounded img-fluid" width="53" alt="avatar">
  					</label>
				</div>
				<div class="col-2">
					<label>
    					<input type="radio" name="avatar" value="/package/standard/avatar/2.jpg">
    					<img src="<?php echo BASE_URL;?>/package/standard/avatar/2.jpg" class="rounded img-fluid" width="53" alt="avatar">
  					</label>
				</div>
				<div class="col-2">
					<label>
    					<input type="radio" name="avatar" value="/package/standard/avatar/5.jpg">
    					<img src="<?php echo BASE_URL;?>/package/standard/avatar/5.jpg" class="rounded img-fluid" width="53" alt="avatar">
  					</label>
				</div>
				<div class="col-2">
					<label>
    					<input type="radio" name="avatar" value="/package/standard/avatar/3.jpg">
    					<img src="<?php echo BASE_URL;?>/package/standard/avatar/3.jpg" class="rounded img-fluid" width="53" alt="avatar">
  					</label>
				</div>
				<div class="col-2">
					<label>
    					<input type="radio" name="avatar" value="/package/standard/avatar/1.jpg">
    					<img src="<?php echo BASE_URL;?>/package/standard/avatar/1.jpg" class="rounded img-fluid" width="53" alt="avatar">
  					</label>
				</div>
			</div>
			</div>
			<?php } ?>
			
			<div class="row text-center">
				<div class="col-6">
					<div class="form-group">
					    <label class="sr-only" for="name"><?php echo $jkl["g4"];?></label>
						<input type="text" name="name" id="name" class="form-control underlined" value="<?php if (isset($_REQUEST["name"])) echo $_REQUEST["name"];?>" placeholder="<?php echo $jkl["g4"];?>">
					</div>
				</div>
				<div class="col-6">
					<?php if ($jakwidget['client_semail']) { ?>
					<div class="form-group">
					    <label class="sr-only" for="email"><?php echo $jkl["g5"];?></label>
						<input type="email" name="email" id="email" class="form-control underlined" value="<?php if (isset($_REQUEST["email"])) echo $_REQUEST["email"];?>" placeholder="<?php echo $jkl["g5"];?>">
					</div>
					<?php } ?>
				</div>
				<div class="col-6">
					<?php if ($jakwidget['client_sphone']) { ?>
					<div class="form-group">
					    <label class="sr-only" for="phone"><?php echo $jkl["g49"];?></label>
						<input type="tel" name="phone" id="phone" class="form-control underlined" value="<?php if (isset($_REQUEST["phone"])) echo $_REQUEST["phone"];?>" placeholder="<?php echo $jkl["g49"];?>">
					</div>
					<?php } ?>
				</div>
				<div class="col-6">
					<?php if ($op_direct == 0 && $dep_direct != 0 && is_numeric($dep_direct)) { ?>
					<input type="hidden" name="department" value="<?php echo $dep_direct;?>">
					<?php } elseif ($op_direct == 0 && count($online_op) > 1) { ?>
					<div class="form-group">
						<label class="sr-only" for="department"><?php echo $jkl["g30"];?></label>
						<select name="department" id="department" class="form-control underlined">
								<?php foreach($online_op as $v) { ?><option value="<?php echo $v["id"];?>"<?php if (isset($_REQUEST["department"]) && $_REQUEST["department"] == $v["id"]) { ?> selected="selected"<?php } ?>><?php echo $v["title"];?></option><?php } ?>
						</select>
					</div>
					<?php } else { ?>
					<input type="hidden" name="department" value="<?php echo $online_op[0]["id"];?>">
					<input type="hidden" name="opdirect" value="<?php echo $op_direct;?>">
					<?php } ?>
				</div>
			</div>
			<?php if ($jakwidget['client_squestion']) { ?>
			<div class="form-group">
			    <label class="sr-only" for="question"><?php echo $jkl["g71"];?></label>
				<input type="text" name="question" id="question" class="form-control underlined" value="<?php if (isset($_REQUEST["question"])) echo $_REQUEST["question"];?>" placeholder="<?php echo $jkl["g71"];?>">
			</div>
			
			<?php } ?>
			
			<button type="submit" class="btn btn-block btn-primary ls-submit"><?php echo $jkl["g10"];?></button>
			
			<input type="hidden" name="start_chat" value="1">
			<input type="hidden" name="slide_chat" value="<?php if (isset($page1)) echo $page1;?>">
			<input type="hidden" name="lang" value="<?php if (isset($page2)) echo $page2;?>">
			
		</form>

		<?php if (!empty(JAK_COPYRIGHT_LINK)) echo '<div class="copyright text-center">'.JAK_COPYRIGHT_LINK.'</div>';?>
		
	</div>
</div>
</div>