<?php include_once APP_PATH.'template/standard/tplblocks/header.php';?>

<div class="content-support-block">
<div class="container">
  <div class="row">
    <div class="col">
      <?php if (isset($cms_text) && !empty($cms_text)) foreach ($cms_text as $t) {
        if ($t["cmsid"] == 10) {
          echo '<div data-editable data-name="title-10">'.$t["title"].'</div>';
          echo '<div data-editable data-name="text-10">'.$t["description"].'</div>';
        }
      } 
      ?>
    </div>
  </div>
  <?php if (JAK_USERISLOGGED || JAK_TICKET_GUEST_WEB){?>
  <div class="row">
    <div class="col-md-12">
      <p><a href="<?php echo (JAK_USERID ? JAK_rewrite::jakParseurl('operator', 'support', 'new') : JAK_rewrite::jakParseurl(JAK_SUPPORT_URL, 'n'));?>" class="text-danger"><i class="fa fa-ticket"></i> <?php echo $jkl['hd47'];?></a>

      <?php if (isset($_SESSION["webembed"])) { ?>
      &nbsp;<a href="<?php echo JAK_rewrite::jakParseurl(JAK_CLIENT_URL);?>" class="text-success"><i class="fa fa-user"></i> <?php echo (JAK_CLIENTID ? $jakclient->getVar("name") : $jkl['hd18']);?></a>
      <?php } ?>

      </p>
    </div>
  </div>
  <?php } ?>
  <?php if (isset($allsupport) && !empty($allsupport)){?>
  <?php if (isset($nav) && is_array($nav)){?>
  <div class="row">
    <div class="col">
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#supportDropdown" aria-controls="supportDropdown" aria-expanded="false" aria-label="Toggle navigation">
          <i class="fa fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="supportDropdown">
          <ul class="navbar-nav">
        <?php foreach($nav as $n) { ?>
        <li class="nav-item">
          <a class="nav-link active" href="<?php echo JAK_rewrite::jakParseurl(JAK_SUPPORT_URL, 'c', $n["depid"], JAK_rewrite::jakCleanurl($n["titledep"]));?>"><?php echo $n["titledep"];?></a>
        </li>
        <?php } ?>
        </ul>
      </div>
      </nav>
    </div>
  </div>
  <?php } ?>
  <div class="row">
    <div class="col">
    <table class="table table-responsive table-light w-100 d-block d-md-table">
      <thead class="table-custom-dark">
        <th><?php echo $jkl['hd7'];?></th>
        <th><?php echo $jkl['hd9'];?></th>
        <th><?php echo $jkl['hd8'];?></th>
        <th><?php echo $jkl['hd6'];?></th>
        <th><?php echo $jkl['hd10'];?></th>
        <th><?php echo $jkl['hd11'].'/'.$jkl['hd12'];?></th>
        <th><?php echo $jkl['hd13'];?></th>
      </thead>
<?php foreach($allsupport as $sup) {
  $supparseurl = JAK_rewrite::jakParseurl(JAK_SUPPORT_URL, 't', $sup["id"], JAK_rewrite::jakCleanurl($sup["subject"]));
?>
<tr>
  <td><a href="<?php echo $supparseurl;?>"><?php echo $sup["subject"];?></a></td>
  <td><?php echo $sup["titledep"];?></td>
  <td><?php echo $sup["name"];?></td>
  <td class="text-center"><?php echo $sup["id"];?></td>
  <td><?php echo JAK_base::jakTimesince($sup['initiated'], JAK_DATEFORMAT, JAK_TIMEFORMAT);?></td>
  <td><?php echo ($sup["status"] == 1 ? '<span class="badge badge-info">'.$jkl['hd14'].'</span>' : ($sup["status"] == 2 ? '<span class="badge badge-warning">'.$jkl['hd15'].'</span>' : '<span class="badge badge-success">'.$jkl['hd16'].'</span>'));?> / <span class="badge badge-<?php echo $sup["class"];?>"><?php echo $sup["titleprio"];?></span></td>
  <td><a href="<?php echo $supparseurl;?>" class="btn btn-sm btn-secondary"><?php echo $jkl['hd13'];?></a></td>
</tr>
<?php } ?>
</table>
<?php if ($JAK_PAGINATE) echo $JAK_PAGINATE;?> 
</div>
</div>
<?php } ?>

</div>
</div>

<?php include_once APP_PATH.'template/standard/tplblocks/footer.php';?>