<?php include_once 'header.php';?>

<?php if ($errors) { ?>
<div class="alert alert-danger">
<?php if (isset($errors["e"])) echo $errors["e"];
	  if (isset($errors["e1"])) echo $errors["e1"];
	  if (isset($errors["e2"])) echo $errors["e2"];?>
</div>
<?php } ?>

<form method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
<div class="box">
<div class="box-header with-border">
  <h3 class="box-title"><?php echo $jkl["g47"];?></h3>
</div><!-- /.box-header -->
<div class="box-body">

<table class="table table-striped">
<tr>
	<td>
	<div class="form-group">
		<label class="control-label" for="jak_lang"><?php echo $jkl["g22"];?></label>
		<select name="jak_lang" class="form-control">
		<?php if (isset($lang_files) && is_array($lang_files)) foreach($lang_files as $lf) { ?><option value="<?php echo $lf;?>"<?php if ($JAK_FORM_DATA["lang"] == $lf) { ?> selected="selected"<?php } ?>><?php echo ucwords($lf);?></option><?php } ?>
		</select>
	</div>
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="title"><?php echo $jkl["g16"];?></label>
		<input type="text" maxlength="255" name="title" id="title" class="form-control<?php if (isset($errors["e"])) echo " is-invalid";?>" value="<?php echo $JAK_FORM_DATA["title"];?>">
	</div>
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="url_slug"><?php echo $jkl["hd130"];?></label>
		<input type="text" name="url_slug" id="url_slug" class="form-control<?php if (isset($errors["e1"])) echo " is-invalid";?>" value="<?php echo $JAK_FORM_DATA["url_slug"];?>">
	</div>
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="jak_prepage"><?php echo $jkl["hd212"];?></label>
		<select name="jak_prepage" class="form-control">
			<option value="0"><?php echo $jkl["hd213"];?></option>
			<option value="<?php echo JAK_CLIENT_URL;?>"<?php if ($JAK_FORM_DATA["prepage"] == JAK_CLIENT_URL) echo ' selected';?>><?php echo JAK_CLIENT_URL;?></option>
			<option value="<?php echo JAK_SEARCH_URL;?>"<?php if ($JAK_FORM_DATA["prepage"] == JAK_SEARCH_URL) echo ' selected';?>><?php echo JAK_SEARCH_URL;?></option>
			<option value="<?php echo JAK_BLOG_URL;?>"<?php if ($JAK_FORM_DATA["prepage"] == JAK_BLOG_URL) echo ' selected';?>><?php echo JAK_BLOG_URL;?></option>
			<option value="<?php echo JAK_FAQ_URL;?>"<?php if ($JAK_FORM_DATA["prepage"] == JAK_FAQ_URL) echo ' selected';?>><?php echo JAK_FAQ_URL;?></option>
			<option value="<?php echo JAK_SUPPORT_URL;?>"<?php if ($JAK_FORM_DATA["prepage"] == JAK_SUPPORT_URL) echo ' selected';?>><?php echo JAK_SUPPORT_URL;?></option>
			</select>
		</div>
	</td>
</tr>
<tr>
	<td>
	<label for="previmg"><?php echo $jkl["hd34"];?></label>
	<div class="input-group">
		<input type="text" name="previmg" id="previmg" class="form-control" value="<?php echo $JAK_FORM_DATA["ogimg"];?>">
		<span class="input-group-btn">
		  <a class="btn btn-info" data-toggle="modal" data-target="#jakFM" type="button" href="javascript:void(0)"><i class="fa fa-files-o"></i></a>
		</span>
	</div><!-- /input-group -->
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="meta_key"><?php echo $jkl["hd204"];?></label>
		<input type="text" maxlength="200" name="meta_key" class="form-control" value="<?php echo $JAK_FORM_DATA["meta_keywords"];?>">
	</div>
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="meta_desc"><?php echo $jkl["hd205"];?></label>
		<input type="text" maxlength="200" name="meta_desc" class="form-control" value="<?php echo $JAK_FORM_DATA["meta_description"];?>">
	</div>
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="order"><?php echo $jkl["g102"];?></label>
		<input type="number" min="1" name="order" id="order" class="form-control" value="<?php echo $JAK_FORM_DATA["dorder"];?>">
	</div>
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="hits"><?php echo $jkl["hd42"];?></label>
		<input type="number" min="1" name="hits" id="hits" class="form-control" value="<?php echo $JAK_FORM_DATA["hits"];?>">
	</div>
	</td>
</tr>
<tr>
	<td>
		<label for="hits"><?php echo $jkl["hd201"];?></label><br>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_header" value="1"<?php if ($JAK_FORM_DATA["showheader"] == 1) echo ' checked';?>> <?php echo $jkl['g19'];?>
			</label>
		</div>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_header" value="0"<?php if ($JAK_FORM_DATA["showheader"] == 0) echo ' checked';?>> <?php echo $jkl['g18'];?>
			</label>
		</div>
	</td>
</tr>
<tr>
	<td>
		<label for="hits"><?php echo $jkl["hd203"];?></label><br>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_ishome" value="1"<?php if ($JAK_FORM_DATA["ishome"] == 1) echo ' checked';?>> <?php echo $jkl['g19'];?>
			</label>
		</div>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_ishome" value="0"<?php if ($JAK_FORM_DATA["ishome"] == 0) echo ' checked';?>> <?php echo $jkl['g18'];?>
			</label>
		</div>
	</td>
</tr>
<tr>
	<td>
		<label for="hits"><?php echo $jkl["hd202"];?></label><br>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_footer" value="1"<?php if ($JAK_FORM_DATA["showfooter"] == 1) echo ' checked';?>> <?php echo $jkl['g19'];?>
			</label>
		</div>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_footer" value="0"<?php if ($JAK_FORM_DATA["showfooter"] == 0) echo ' checked';?>> <?php echo $jkl['g18'];?>
			</label>
		</div>
	</td>
</tr>
<tr>
	<td>
		<label for="hits"><?php echo $jkl["hd18"];?></label><br>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_membersonly" value="1"<?php if ($JAK_FORM_DATA["access"] == 1) echo ' checked';?>> <?php echo $jkl['hd207'];?>
			</label>
		</div>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_membersonly" value="2"<?php if ($JAK_FORM_DATA["access"] == 2) echo ' checked';?>> <?php echo $jkl['hd208'];?>
			</label>
		</div>
		<div class="form-check form-check-inline">
			<label class="form-check-label">
				<input class="form-check-input" type="radio" name="jak_membersonly" value="3"<?php if ($JAK_FORM_DATA["access"] == 3) echo ' checked';?>> <?php echo $jkl['hd209'];?>
			</label>
		</div>
	</td>
</tr>
<tr>
	<td>
	<div class="form-group">
		<label for="content-editor"><?php echo $jkl["g321"];?></label>
		<textarea name="content" id="content-editor" rows="5" class="form-control w-editor<?php if (isset($errors["e2"])) echo " is-invalid";?>"><?php echo $JAK_FORM_DATA["content"];?></textarea>
		<small class="form-text text-muted">
			<?php echo sprintf($jkl["hd185"], "{searchblock}, {supportnew}, {faqnew}, {blognew}, {contact}, {login}, {register}");?>
		</small>
	</div>
	</td>
</tr>
</table>

</div>
<div class="box-footer">
	<a href="<?php echo JAK_rewrite::jakParseurl('answers', 'cms');?>" class="btn btn-default"><?php echo $jkl["g103"];?></a>
	<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
</div>
</div>
</form>

<?php include_once 'footer.php';?>