<?php include_once 'header.php';?>

<ul class="nav nav-tabs">
  <li class="nav-item">
    <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings');?>"><?php echo $jkl["hd9"];?></a>
  </li>
  <?php if (jak_get_access("support", $jakuser->getVar("permissions"), JAK_SUPERADMINACCESS)){?>
  <li class="nav-item">
    <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'support');?>"><?php echo $jkl["hd10"];?></a>
  </li>
  <?php } if (jak_get_access("faq", $jakuser->getVar("permissions"), JAK_SUPERADMINACCESS)){?>
  <li class="nav-item">
    <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'faq');?>"><?php echo $jkl["hd11"];?></a>
  </li>
  <?php } if (jak_get_access("blog", $jakuser->getVar("permissions"), JAK_SUPERADMINACCESS)){?>
  <li class="nav-item">
    <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'blog');?>"><?php echo $jkl["hd12"];?></a>
  </li>
  <?php } ?>
  <li class="nav-item">
    <a class="nav-link active" href="<?php echo JAK_rewrite::jakParseurl('settings', 'email');?>"><?php echo $jkl["hd119"];?></a>
  </li>
  <?php if (jak_get_access("support", $jakuser->getVar("permissions"), JAK_SUPERADMINACCESS)){?>
  <li class="nav-item">
    <a class="nav-link" href="<?php echo JAK_rewrite::jakParseurl('settings', 'phpimap');?>"><?php echo $jkl["hd43"];?></a>
  </li>
  <?php } ?>
</ul>

<form method="post" class="jak_form" action="<?php echo $_SERVER['REQUEST_URI'];?>">

<div class="box">
	<div class="box-header with-border">
		<h3 class="box-title"><?php echo $jkl["g212"];?></h3>
	</div><!-- /.box-header -->
	<div class="box-body">
		<div class="table-responsive">
		<table class="table table-striped">
		<tr>
			<td><?php echo $jkl["g212"];?></td>
			<td><div class="radio"><label><input type="radio" name="jak_smpt" value="0"<?php if (JAK_SMTP_MAIL == 0) { ?> checked="checked"<?php } ?> /> <?php echo $jkl["g204"];?></label></div>
			<div class="radio"><label><input type="radio" name="jak_smpt" value="1"<?php if (JAK_SMTP_MAIL == 1) { ?> checked="checked"<?php } ?> /> <?php echo $jkl["g205"];?></label></div></td>
		</tr>
		<tr>
			<td><?php echo $jkl["g206"];?></td>
			<td><input type="text" class="form-control" name="jak_host" value="<?php echo JAK_SMTPHOST;?>"></td>
		</tr>
		<tr>
			<td><?php echo $jkl["g207"];?></td>
			<td>
			<div class="form-group">
				<input type="text" name="jak_port" class="form-control<?php if ($errors["e3"]) echo " is-invalid";?>" value="<?php echo JAK_SMTPPORT?>" placeholder="25">
			</div></td>
		</tr>
		<tr>
			<td><?php echo $jkl["g208"];?></td>
			<td><div class="radio"><label><input type="radio" name="jak_alive" value="1"<?php if (JAK_SMTP_ALIVE == 1) { ?> checked="checked"<?php } ?> /> <?php echo $jkl["g19"];?></label></div>
			<div class="radio"><label><input type="radio" name="jak_alive" value="0"<?php if (JAK_SMTP_ALIVE == 0) { ?> checked="checked"<?php } ?> /> <?php echo $jkl["g18"];?></label></div></td>
		</tr>
		<tr>
			<td><?php echo $jkl["g209"];?></td>
			<td><div class="radio"><label><input type="radio" name="jak_auth" value="1"<?php if (JAK_SMTP_AUTH == 1) { ?> checked="checked"<?php } ?> /> <?php echo $jkl["g19"];?></label></div>
			<div class="radio"><label><input type="radio" name="jak_auth" value="0"<?php if (JAK_SMTP_AUTH == 0) { ?> checked="checked"<?php } ?> /> <?php echo $jkl["g18"];?></label></div></td>
		</tr>
		<tr>
			<td><?php echo $jkl["g219"];?></td>
			<td>
			<input type="text" name="jak_prefix" class="form-control" value="<?php echo JAK_SMTP_PREFIX;?>" placeholder="ssl/tls/true/false">
			</td>
		</tr>
		<tr>
			<td><?php echo $jkl["g210"];?></td>
			<td><input type="text" name="jak_smtpusername" class="form-control" value="<?php echo JAK_SMTPUSERNAME;?>" autocomplete="off"></td>
		</tr>
		<tr>
			<td><?php echo $jkl["g211"];?></td>
			<td><input type="password" name="jak_smtppassword" class="form-control" value="<?php echo JAK_SMTPPASSWORD;?>" autocomplete="off"></td>
		</tr>
		<tr>
			<td><?php echo $jkl["g218"];?></td>
			<td><button type="submit" name="testMail" class="btn btn-success" id="sendTM"><i id="loader" class="fa fa-spinner fa-pulse"></i> <?php echo $jkl["g216"];?></button></td>
		</tr>
		</table>
		</div>
	</div>
	<div class="box-footer">
		<button type="submit" name="save" class="btn btn-primary pull-right"><?php echo $jkl["g38"];?></button>
	</div>
</div>

</form>

<?php include_once 'footer.php';?>